package cn.bunny.service.service;

import cn.bunny.entity.user.User;
import cn.bunny.vo.page.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author order
 * @since 2024-07-28
 */
public interface UserService extends IService<User> {
    /**
     * * 查询所有用户
     *
     * @param parParams 分页参数
     * @return 分页结果
     */
    PageResult<User> queryPage(Page<User> parParams);

    /**
     * * 添加用户
     *
     * @param user 添加用户
     */
    void addUser(User user);
}
